<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
<link rel="stylesheet" type="text/css" href="../css/wizard.css" />
<script language="JavaScript" src="gen_validatorv4.js"  type="text/javascript" xml:space="preserve"></script>
<?php

include('../include/db.php');
include('../include/session.php');	
include('../include/formValidations.php');
require_once('classes/tc_calendar.php');

$orderNo = $_GET['orderNo'];
$type = $_GET['Type'];
$field =$_GET['field'];

$orderQuery = "SELECT $field FROM orders WHERE orderNo ='". $orderNo. "' ";
$orderResult = execsql($orderQuery);
$value = mysql_result($orderResult, 0, "$field");

$d = date("d", strtotime($value) );
$m = date("m", strtotime($value) );
$y = date("Y", strtotime($value) );


?>
<script language="javascript" src="../include/calendar.js"></script>
<script type="text/javascript" src="../css/tablesort.js"></script>

<script type="text/javascript">
function stopRKey(evt) {
  var evt = (evt) ? evt : ((event) ? event : null);
  var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
  if ((evt.keyCode == 13) && (node.type=="text"))  {return false;}
}
document.onkeypress = stopRKey;
</script> 

<script type="text/javascript">
<!--
function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}
function MM_callJS(jsStr) { //v2.0
  return eval(jsStr)
}
//-->
</script>

 
</head>
<form action="editOrder.php" method="get" name="form1" target="_top" id="form1">
<body onload="document.getElementById(;MM_callJS('document.getElementById(\'quantityText\').focus();')"editText").focus();">
<table width="290" border="0" align="center" cellpadding="0" cellspacing="0" class="list2">
  <tr>
    <td width="290" align="center"><p><label class="std">Edit the value and click "Edit"<br />
If you don't want to change, click "cancel"</label></p>
      <?php if ($type=="T") { ?>
      <input name="editText" type="text" id="editText"  onfocus = "this.select();"   onblur="capitalize(this)" value="<?php echo $value ?>" size="40" />
	  <?php } ?> 
      <?php if ($type=="N") { ?>
      <input name="editText" type="text" id="editText"  onfocus = "this.select();"   onkeypress="return numbersonly(this, event)" value="<?php echo $value ?>" size="30" />
	  <?php } ?>
	  <?php if ($type=="D") { 
		$myCalendar = new tc_calendar("editText", true);
		$myCalendar->setIcon("../img/iconCalendar.gif");
		$myCalendar->setDate($d, $m, $y);
		$myCalendar->setPath("./");
		$myCalendar->setYearInterval(1969, 2030);
		$myCalendar->writeScript(); 
	  }?>
	  <input name="edit" type="hidden" id="edit" value="1"  />
    <input name="OrderNoText" type="hidden" id="OrderNoText" value="<?php echo $orderNo ?>" />
    <input name="field" type="hidden" id="field" value="<?php echo $field ?>" />
    <br /></td>
  </tr>
  <tr>
    <td align="center"><br />
      <input name="input" type="submit" value="Edit" class="imagebutton"  />
      <input name="button" type="button" id="button" class="imagebutton" onclick="MM_goToURL('parent','editOrder.php?OrderNoText=<?php echo $orderNo ?>&edit=0');return document.MM_returnValue" value="Cancel" /></form>
    </td>
  </tr>
</table>

<script language="JavaScript" type="text/javascript" xml:space="preserve">
  var frmvalidator  = new Validator("form1");
  frmvalidator.EnableMsgsTogether();
  frmvalidator.addValidation("ProductSelect","req","Please select a product.");
  frmvalidator.addValidation("QuantityText","req","Please enter the quantity.");
    
    
    
   


  
</script>
</body>
</html>